# pqxx::prepare::internal::prepared_def::param Struct Reference

Parameter definition. More...

`#include <prepared_statement.hxx>`

List of all members.

## Public Member Functions

| param (const PGSTD::string &SQLtype, param_treatment)

## Public Attributes

PGSTD::string | sqltype
param_treatment | treatment

## Detailed Description

Parameter definition.

## Constructor & Destructor Documentation

pqxx::prepare::internal::prepared_def::param::param | ( | const PGSTD::string & | SQLtype,
|  | param_treatment |  |
| ) |  |  |

## Member Data Documentation

PGSTD::string pqxx::prepare::internal::prepared_def::param::sqltype

param_treatment pqxx::prepare::internal::prepared_def::param::treatment

The documentation for this struct was generated from the following files:

- prepared_statement.hxx
- prepared_statement.cxx